//TC01EXJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       TC01EXJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Process VSAM/KSDS, create Telephone List Sequential File.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The 1st job step (RSEQDELT) will delete any previously created
//* file. The 2nd job step (TC01CRT1) will create a new file. The
//* 3rd job step will sort the file by name.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//*                      ************
//*                      * TC01EXJ1 *
//*                      ********jcl*
//*                           *
//*                           *
//*                      ************     ************
//*                      * IEFBR14  ******* TC01RS20 *
//*                      ********utl*  *  ***delete***
//*                           *        *
//*                           *        *  ************
//*                           *        *** TC01RS25 *
//*                           *           ***delete***
//*                           *
//*                           *
//*     ************     ************     ************
//*     * TC01KS10 ******* TC01EXC2 ******* TC01RS20 *
//*     *******ksds*     ********cbl*     *******rseq*
//*                           *
//*                           *
//*     ************     ************     ************
//*     * TC01RS20 *******   SORT   ******* TC01RS25 *
//*     *******rseq*     ********utl*     *******rseq*
//*                           *
//*                           *
//*                      ************
//*                      *   EOJ    *
//*                      ************
//*
//* *******************************************************************
//* Step 1 of 3, Delete any previously created files.
//*
//JOBSETUP EXEC PGM=IEFBR14
//TC01RS20 DD  DSN=TESTCASE.TC01.TC01RS20,DISP=(MOD,DELETE,DELETE),
//             UNIT=SYSALLDA,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=128,DSORG=PS)
//TC01RS25 DD  DSN=TESTCASE.TC01.TC01RS25,DISP=(MOD,DELETE,DELETE),
//             UNIT=SYSALLDA,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=128,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 3, Read Master File and create Telephone File.
//*              The Packed Numeric will be expanded to Zoned-Decimal
//*              with a separate leading sign character.
//*
//TC01CRT1 EXEC PGM=TC01EXC2
//SYSOUT   DD  SYSOUT=*
//TC01KS10 DD  DSN=TESTCASE.TC01.TC01KS10,DISP=SHR
//TC01PHON DD  DSN=TESTCASE.TC01.TC01RS20,DISP=(NEW,CATLG,DELETE),
//             UNIT=SYSALLDA,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=128,DSORG=PS)
//*
//*********************************************************************
//* Step 3 of 3, Sort the TC01PHON Telephone List File. The SORT
//*              specifications are defined within the JCL (in stream).
//*              The sequence of the output will be by Last/First name.
//*
//SORTSTEP EXEC TC01SORT
//SORTIN   DD  DSN=TESTCASE.TC01.TC01RS20,
//             DISP=SHR
//SORTOUT  DD  DSN=TESTCASE.TC01.TC01RS25,
//             DISP=(NEW,CATLG,DELETE),SPACE=(CYL,(0,30),RLSE),
//             UNIT=SYSALLDA,
//             DCB=(BLKSIZE=1280,LRECL=128,RECFM=FB)
//SYSIN    DD  *
 SORT FIELDS=(8,25,A),FORMAT=CH
 END
//
